# Temp_TH

## Project overview

This project is the visualize temperature project that can ...

- Show the average temperature, wind speed and UV index of each region in Thailand (result update every 10 minutes).
- Show the average temperature, wind speed and UV index of Thailand (result update every 10 minutes).
- Fill in the temperature value for each province in Thailand.
- Share calculated average data via REST API.

## List of team members and affiliation

**Team members:**

- 6010545021 Kornphon Noiprasert
- 6010545692 Kunyaruk Katebunlu

**Affiliation:**

- **Department:** Software and Knowledge Engineering
- **Faculty:** Faculty of Engineering
- **University:** Kasetsart University

## Required libraries and tools

This project used ...

- Node-RED
- Node-RED Dashboard
- phpMyAdmin (MySQL)
- Node.js
- npm
- Express framework
- MySQL driver for Node.js
- Any IDE that you love :)

## Instructions for building and running

### Data Sharing API Part

1. Open your terminal and change directory to `temp_th` folder.
2. Run `npm install` to install required dependencies.
3. Run the REST API with `npm start` command.
4. See/Get the data that this API is sharing.

Available URL to get data:

- Thailand: http://localhost:3000/api/temp_th
- Central region: http://localhost:3000/api/temp_th/central_region
- Northern region: http://localhost:3000/api/temp_th/northern_region
- Northeastern region: http://localhost:3000/api/temp_th/northeastern_region
- Western region: http://localhost:3000/api/temp_th/western_region
- Eastern region: http://localhost:3000/api/temp_th/eastern_region
- Southern region: http://localhost:3000/api/temp_th/southern_region

### Data Visualization Part

1. Open Node-RED workspace.
2. Install `node-red-dashboard` palette, `node-red-node-mysql` palette and other palette that the Node-RED workspace required.
3. Import `node-red_flows.json` file into the workspace.
4. Deploy the flow.
5. Open the dashboard site to see the result of the data visualization.
