const express = require("express");
const bodyParser = require("body-parser");
const app = express();
const mysql = require("mysql");

// parse application/json
app.use(bodyParser.json());

//create database connection
const conn = mysql.createConnection({
  host: "158.108.34.31",
  user: "b6010545692",
  password: "kunyaruk.k@ku.th",
  database: "b6010545692"
});

//connect to database
conn.connect(err => {
  if (err) throw err;
  console.log("Mysql Connected...");
});

//show latest temperature in Thailand
app.get("/api/temp_th", (req, res) => {
  let sql = "SELECT * FROM th_data ORDER BY date_iso DESC LIMIT 1";
  let query = conn.query(sql, (err, results) => {
    if (err) throw err;
    res.send(
      JSON.stringify({ status: 200, location: "Thailand", response: results })
    );
  });
});

//show latest temperature in Central region, Thailand
app.get("/api/temp_th/central_region", (req, res) => {
  let sql =
    "SELECT * FROM th_avg_region_data WHERE region_name='Central region' ORDER BY date_iso DESC LIMIT 1";
  let query = conn.query(sql, (err, results) => {
    if (err) throw err;
    res.send(
      JSON.stringify({ status: 200, location: "Thailand", response: results })
    );
  });
});

//show latest temperature in Northern region, Thailand
app.get("/api/temp_th/northern_region", (req, res) => {
  let sql =
    "SELECT * FROM th_avg_region_data WHERE region_name='Northern region' ORDER BY date_iso DESC LIMIT 1";
  let query = conn.query(sql, (err, results) => {
    if (err) throw err;
    res.send(
      JSON.stringify({ status: 200, location: "Thailand", response: results })
    );
  });
});

//show latest temperature in Northeastern region, Thailand
app.get("/api/temp_th/northeastern_region", (req, res) => {
  let sql =
    "SELECT * FROM th_avg_region_data WHERE region_name='Northeastern region' ORDER BY date_iso DESC LIMIT 1"; //"SELECT * FROM th_data";
  let query = conn.query(sql, (err, results) => {
    if (err) throw err;
    res.send(
      JSON.stringify({ status: 200, location: "Thailand", response: results })
    );
  });
});

//show latest temperature in Western region, Thailand
app.get("/api/temp_th/western_region", (req, res) => {
  let sql =
    "SELECT * FROM th_avg_region_data WHERE region_name='Western region' ORDER BY date_iso DESC LIMIT 1";
  let query = conn.query(sql, (err, results) => {
    if (err) throw err;
    res.send(
      JSON.stringify({ status: 200, location: "Thailand", response: results })
    );
  });
});

//show latest temperature in Eastern region, Thailand
app.get("/api/temp_th/eastern_region", (req, res) => {
  let sql =
    "SELECT * FROM th_avg_region_data WHERE region_name='Eastern region' ORDER BY date_iso DESC LIMIT 1";
  let query = conn.query(sql, (err, results) => {
    if (err) throw err;
    res.send(
      JSON.stringify({ status: 200, location: "Thailand", response: results })
    );
  });
});

//show latest temperature in Southern region, Thailand
app.get("/api/temp_th/southern_region", (req, res) => {
  let sql =
    "SELECT * FROM th_avg_region_data WHERE region_name='Southern region' ORDER BY date_iso DESC LIMIT 1";
  let query = conn.query(sql, (err, results) => {
    if (err) throw err;
    res.send(
      JSON.stringify({ status: 200, location: "Thailand", response: results })
    );
  });
});

//Server listening
app.listen(3000, () => {
  console.log("Server started on port 3000...");
});
